Bug 1122234 - Review Request: nodejs-recast - JavaScript syntax tree transformer
Summary: Review Request: nodejs-recast - JavaScript syntax tree transformer
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1122211 1122214 1122230
Blocks: nodejs-reviews 1122235 1122236
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:05 UTC by Ralph Bean
Modified: 2014-08-15 02:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-25 15:22:46 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:05:39 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-recast.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-recast-0.6.3-1.fc20.src.rpm

Description:
JavaScript syntax tree transformer, conservative pretty-printer, and automatic
source map generator

Comment 1 Parag AN(पराग) 2014-07-24 05:27:12 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-recast.noarch: W: only-non-binary-in-usr-lib
nodejs-recast.noarch: W: dangling-symlink /usr/lib/node_modules/recast/node_modules/cls /usr/lib/node_modules/cls
nodejs-recast.noarch: W: dangling-symlink /usr/lib/node_modules/recast/node_modules/private /usr/lib/node_modules/private
nodejs-recast.noarch: W: dangling-symlink /usr/lib/node_modules/recast/node_modules/esprima /usr/lib/node_modules/esprima
nodejs-recast.noarch: W: dangling-symlink /usr/lib/node_modules/recast/node_modules/ast-types /usr/lib/node_modules/ast-types
nodejs-recast.noarch: W: dangling-symlink /usr/lib/node_modules/recast/node_modules/source-map /usr/lib/node_modules/source-map
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :bbd406d310400d27c00bd6575faf59b6f0ab6596ddba6b2650d1d243185f271f
upstream tarball :bbd406d310400d27c00bd6575faf59b6f0ab6596ddba6b2650d1d243185f271f

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-24 16:27:51 UTC
New Package SCM Request
=======================
Package Name: nodejs-recast
Short Description: JavaScript syntax tree transformer
Upstream URL: https://npmjs.org/package/recast
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-24 18:41:12 UTC
Git done (by process-git-requests).

Comment 4 Ralph Bean 2014-07-25 15:22:46 UTC
Built in rawhide.

Comment 5 Fedora Update System 2014-07-25 16:37:58 UTC
nodejs-recast-0.6.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-recast-0.6.3-1.fc20

Comment 6 Fedora Update System 2014-07-25 16:38:10 UTC
nodejs-recast-0.6.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-recast-0.6.3-1.fc19

Comment 7 Ralph Bean 2014-07-25 16:40:03 UTC
Buildroot overrides have been submitted.

Comment 8 Fedora Update System 2014-08-15 02:45:45 UTC
nodejs-recast-0.6.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 9 Fedora Update System 2014-08-15 02:52:46 UTC
nodejs-recast-0.6.3-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.